Default Setting For The Preference app.update.auto Should Be False

RESOLVED INVALID

Status

()

Firefox
Preferences
RESOLVED INVALID
9 years ago
9 years ago

People

(Reporter: WildcatRay, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b3pre) Gecko/20081204 Shiretoko/3.1b3pre Firefox/3.0.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b3pre) Gecko/20081204 Shiretoko/3.1b3pre Firefox/3.0.4

According to the Firefox Support Knowledge Base on Updating Firefox (available at http://support.mozilla.com/en-US/kb/Updating+Firefox#Automatic_updates), the default setting for the preference app.update.auto should be false. (This is also accessible at Tools > Options > Advanced > Updates > When updates to Firefox/Gran Paradiso/Shiretoko/Minefield are found:)

AFAICT-Set to True, this preference will cause the browser to download an update when it becomes available.

Set to False, the user is prompted that an update is available for download and installation. The user can then decide to download the update at that time or wait until later.

Reproducible: Always

Steps to Reproduce:
1. Create a new profile.
2. Start the browser using new profile.
3. Go to Tools > Options > Advanced > Updates > When updates to Firefox/Gran Paradiso/Shiretoko/Minefield are found:
Actual Results:  
"Automatically download and install the update" is checked along with Warm me if this will disable any of my add-ons.

Expected Results:  
"Ask me what I want to do" should be checked, instead.

I believe this may affect all Mozilla products including Thunderbird and Shredder, but I do not have time to confirm.
(In reply to comment #0)
> According to the Firefox Support Knowledge Base on Updating Firefox (available
> at http://support.mozilla.com/en-US/kb/Updating+Firefox#Automatic_updates), the
> default setting for the preference app.update.auto should be false.

Where does it say that? I don't see anything about the default value of that pref in that article (and indeed they show a screenshot of pref dialog that shows the current defaults). If there is a discrepancy between the documentation and our behavior, then the documentation is likely the part that needs fixing.

The current behavior was chosen to maximize the chances that users will automatically be updated to the latest version, while still allowing them to opt-out if the update will cause their addons to become incompatible. I don't think we're going to change that default behavior unless there are very good reasons to.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.